Update session participant
Creates or updates a participant record for a session. Use this to record or update a student's attendance status after a session.
Path Parameters
- Type: stringsession
Id requiredUnique identifier of the sessionId.
Body
required
application/json
- Type: stringprofile
_id requiredID of the student profile.
- Type: stringenumattendance
Attendance status for this session.
values- present
- absent
- unknown
- Type: booleaninvited
Whether the student was invited to the session.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for put/apis/sessions/{sessionId}/participants
curl https://school.fullfabric.cloud/apis/sessions/507f1f77bcf86cd799439011/participants \
--request PUT \
--header 'Content-Type: application/json' \
--header 'FF-Auth: YOUR_SECRET_TOKEN' \
--data '{
"profile_id": "6385bdd4976a7719120108e9",
"attendance": "present",
"invited": true
}'
{
"registration_id": "69d904eb9a52af493b0e5305",
"registration_session_id": "6385baad976a7719120008f0",
"profile_id": "6385bdd4976a7719120108e9",
"attendance": "present",
"invited": true
}